Package org.eclipse.emf.cdo.spi.common.lock

# Interface InternalCDOLockState

All Superinterfaces:
  `CDOBranchProvider`, `CDOIDAndBranch`, `CDOIdentifiable`, `CDOLockState`

All Known Implementing Classes:
  `AbstractCDOLockState`

public interface InternalCDOLockState extends CDOLockState
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.1
Author:
  Caspar De Groot
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOLockState`
`UNLOCKED`
Deprecated.
As of 4.12 no longer supported.

### Fields inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockState

`DEPTH_INFINITE, DEPTH_NONE`

## Method Summary

Modifier and Type
Method
Description
`CDOLockDelta`
`addOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`
`void`
`addReadLockOwner(CDOLockOwner owner)`
Deprecated.
As of 4.15 use `addOwner(owner, LockType.READ)`.
`CDOLockDelta[]`
`clearOwner(CDOLockOwner owner)`
`void`
`dispose()`
Deprecated.
As of 4.15 not supported anymore.
`void`
`remapID(CDOID newID)`
`CDOLockDelta[]`
`remapOwner(CDOLockOwner oldOwner, CDOLockOwner newOwner)`
`boolean`
`removeOwner(CDOLockOwner owner)`
Deprecated.
As of 4.16 use `clearOwner(CDOLockOwner)`.
`CDOLockDelta`
`removeOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`
`boolean`
`removeReadLockOwner(CDOLockOwner owner)`
Deprecated.
As of 4.15 use `removeOwner(owner, LockType.READ)`.
`void`
`setWriteLockOwner(CDOLockOwner owner)`
Deprecated.
As of 4.15 use `addOwner(owner, LockType.WRITE)` or `removeOwner(owner, LockType.WRITE)`.
`void`
`setWriteOptionOwner(CDOLockOwner owner)`
Deprecated.
As of 4.15 use `addOwner(owner, LockType.OPTION)`.
`void`
`updateFrom(Object object, CDOLockState source)`
Deprecated.
As of 4.5 not supported anymore.
`void`
`updateFrom(CDOLockState source)`
Deprecated.
As of 4.15 not supported anymore.

### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOIDAndBranch

`getBranch`

### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIdentifiable

`getID`

### Methods inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockState

`getLockedObject, getReadLockOwners, getWriteLockOwner, getWriteOptionOwner, isLocked`

## Field Details

### UNLOCKED

@Deprecated static final CDOLockState UNLOCKED
Deprecated.
As of 4.12 no longer supported.

Since:
  4.6

## Method Details

### addOwner

CDOLockDelta addOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)

Since:
  4.15

### removeOwner

CDOLockDelta removeOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)

Since:
  4.15

### clearOwner

CDOLockDelta[] clearOwner(CDOLockOwner owner)

Since:
  4.15

### remapOwner

CDOLockDelta[] remapOwner(CDOLockOwner oldOwner, CDOLockOwner newOwner)

Since:
  4.15

### remapID

void remapID(CDOID newID)

Since:
  4.15

### addReadLockOwner

@Deprecated void addReadLockOwner(CDOLockOwner owner)
Deprecated.
As of 4.15 use `addOwner(owner, LockType.READ)`.

### removeReadLockOwner

@Deprecated boolean removeReadLockOwner(CDOLockOwner owner)
Deprecated.
As of 4.15 use `removeOwner(owner, LockType.READ)`.

### setWriteLockOwner

@Deprecated void setWriteLockOwner(CDOLockOwner owner)
Deprecated.
As of 4.15 use `addOwner(owner, LockType.WRITE)` or `removeOwner(owner, LockType.WRITE)`.

### setWriteOptionOwner

@Deprecated void setWriteOptionOwner(CDOLockOwner owner)
Deprecated.
As of 4.15 use `addOwner(owner, LockType.OPTION)`. or `removeOwner(owner, LockType.OPTION)`.

### removeOwner

@Deprecated boolean removeOwner(CDOLockOwner owner)
Deprecated.
As of 4.16 use `clearOwner(CDOLockOwner)`.

Since:
  4.4

### updateFrom

@Deprecated void updateFrom(CDOLockState source)
Deprecated.
As of 4.15 not supported anymore.
Update the `lockOwners` of this lock state from the one passed in.

Since:
  4.5

### updateFrom

@Deprecated void updateFrom(Object object, CDOLockState source)
Deprecated.
As of 4.5 not supported anymore.

Since:
  4.2

### dispose

@Deprecated void dispose()
Deprecated.
As of 4.15 not supported anymore.

Since:
  4.2